#
# spec file for package apparmor-admin_en
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           apparmor-admin_en
%define my_lang en
%define my_book SLES-aaadmin
Version:        10.1
Release:        0.25.14
#OBS
Source0:        SLES-aaadmin_en-html.tar.bz2
Source1:        SLES-aaadmin_en-desktop.tar.bz2
Source2:        SLES-aaadmin_en.pdf
Source3:        SLES-aaadmin_en-graphics.tar.bz2
Source4:        SLES-aaadmin_en.tar.bz2
Source5:        LICENSE.txt
#SOURCES
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Group:          Documentation/SUSE
License:        GNU Free Documentation License, Version 1.1 (GFDL 1.1)
Summary:        SLED AppArmor Admin Guide (English)
%define _defaultdocdir %{_datadir}/doc/manual
%define _docdir %{_datadir}/doc/manual
%define PDFDOC %{_defaultdocdir}/%{name}-pdf

%description
SLED AppArmor Administration Guide (English).



%prep
#%setup -c -q
%setup -c -q -a 1
#PREP
find -name "*.png" | xargs chmod 644
cp %{S:2} .
#PDFPREP

%build
# make sure index.html exists
for f in $(find html -type f -name 'book.*'); do
  pushd ${f%/*}
  ln -sf ${f##*/} index.html
  popd
done

%install
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
# is set for sles or sled as /sles or /sled
%define my_desktopdir /usr/share/susehelp/meta
echo %{my_desktopdir} | sed 's:\(\|xyzy\)::' >filelist
# mkdir -p  desktop/{startup,reference,application,apparmor-admin-guide}
###
install -d $RPM_BUILD_ROOT%{my_desktopdir}/%{name}
# product is name without language code
%if %suse_version < 1030
%define gnome_dir /opt/gnome/share/gnome/help/apparmor-admin
%else
%define gnome_dir %{_datadir}/gnome/help/apparmor-admin
%endif
install -d $RPM_BUILD_ROOT%{gnome_dir}
#
if [ -d html/%my_book -o %name = sled-desktop-qs_%{my_lang} ]; then
  if [ %name = sled-desktop-qs_%{my_lang} ]; then
    tar xvf %{S:1}
    sed 's:@PATH@:@PATH@/gnomequick:' desktop/.directory > desktop/gnome.desktop
    # mv desktop gnome
    tar xvf %{S:11}
    sed 's:@PATH@:@PATH@/kdequick:' desktop/.directory > desktop/kde.desktop
    sed -i 's:\(KDE\|GNOME\) *::
s/^\(DocPath\)/;\1/'  desktop/.directory
    # mv desktop kde
    # mkdir desktop
    # mv gnome kde desktop
    mkdir -p html/manual
    for d in html/SLED-*; do
      mv $d html/manual/${d#html/SLED-}
    done
  else
    mv html/%my_book html/manual
  fi
#
pushd desktop
for dir in $(find . -maxdepth 1 -type d) nixxx; do
  case $dir in
    # gnome-user comes with index.desktop dir...
    ./index.desktop|./book_sled_*_userguide)
      mv $dir/.directory $dir/*.desktop .
      mv $dir/*_* . || :
      ;;
    ./book_sled_deployment|./book_sle_reference|./book_sles_startup)
      pushd $dir
      for f in $(find . -maxdepth 1 ); do
        [ $f = "." ] && continue
        mv $f ..
      done
      popd
      ;;
    # # SP1
    # ./book.heartbeat|./stor_evms)
    #   mv index/*.desktop $dir/.directory $dir/*.desktop .
    #   rm -fr index $dir
    #   ;;
    ./book_apparmor_admin|./book_*_prep)
      mv $dir/.directory $dir/*.desktop .
      rm -fr index $dir
      ;;
    *) true ;;
  esac
done
# # GA/SP1
# case %name in
#   sles-preparation*|apparmor-admin*)
#     mv -f bk0*/*desktop .; rm -fr bk0* ;;
# esac
for f in $(find . -type f -name '*desktop'); do
    # /usr/share/doc/manual/suselinux-manual_en/manual
    sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/manual|
s/\[\]//" $f
    if ! grep -q -e '^Name *=' $f; then
    # requiered if no "Name=" is present
      sed -i "s|^Name\[.*\]\(=.*\)|Name\1\\
&|" $f
    fi
done
for d in $(find . -maxdepth 1 -type d -name 'book*'); do
  id=${d//\./}
  id=${id//\//}%{my_lang}
  pushd $d
  for f in $(find . -name '.directory'); do
    sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/manual|
s/\[\]//
s|@id@|$id|" $f
  done
  popd
done
# Why not checking deeply hidden files (again?)
# Probably useful for stand-alone books
# for f in $(find . -maxdepth 1 -name '*.directory'); do
for f in $(find . -name '*.directory'); do
  id=%{name}
  id=${id//_/}
  sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/manual|
s/\[\]//
s|@id@|$id|" $f
  # Fix the index.html reference
  if [ $f = ./.directory ]; then
    sed -i 's:\(^DocPath.*/\).*:\1index.html:
s/^\(Name\|Comment\)\(.*\)/\1\2 (%{my_lang})/' $f
  fi
  # make sure to sort startup guide first
  case %name in
    sles-startup*)
      [ $f = "./.directory" ] \
        && sed -i "s|^\(X-DOC-Weight\).*|\1=-2000|" $f ;;
  esac
done
# if [ %name = sled-desktop-qs_%{my_lang} ]; then
# # Probably useful for quick books
# for f in $(find . -maxdepth 2 -name '*.directory'); do
#   id=%{name}
#   id=${id//_/}
#   sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/manual|
# s/\[\]//
# s|@id@|$id|" $f
#   # Fix the index.html reference
#   if [ $f = ./.directory ]; then
#     sed -i 's:\(^DocPath.*/\).*:\1index.html:
# s/^\(Name\|Comment\)\(.*\)/\1\2 (%{my_lang})/' $f
#   fi
# done
# fi
# remove the dots from the file names
for f in $(find . -type f -name '*desktop'); do
  d=${f%/*}
  n=${f##*/}; n=${n/\.desktop}; n=${n//\./_}; n=${n}.desktop
  [ $f = $d/$n ] || mv -v $f $d/$n
done
ren_dir () {
  for d in $(find . -maxdepth $1 -mindepth $1 -type d); do
    n=${d#*/}; n=${n//\./_}
    [ ${d#*/} = $n ] || mv -v $d $n
  done
}
ren_dir 1
ren_dir 2
#
cp -a . $RPM_BUILD_ROOT%{my_desktopdir}/%{name}
#obsolete with slash_flavor
#mkdir -p $RPM_BUILD_ROOT/usr/share/susehelp/meta/sled
cp %{S:100} $RPM_BUILD_ROOT%{my_desktopdir}/.directory || :
popd
# Link it into the Gnome help system (must be found by calling
# susehelp help://suselinux-manual/
pushd $RPM_BUILD_ROOT%{gnome_dir}
if [ %{my_lang} = "en" ]; then
  target=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/manual
  install -d $target
  ln -sf %{_defaultdocdir}/%{name}/manual C
else
  target=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/manual
  install -d $target
  ln -sf %{_defaultdocdir}/%{name}/manual %{my_lang}
fi
popd
else
# PDF only books
install -d html/manual
echo PDF only > html/manual/%{name}
fi

%files -f filelist
%defattr(-, root, root)
%dir %{_defaultdocdir}
%doc *.pdf
%doc html/manual
# %{my_desktopdir}
%dir %{_datadir}/susehelp
%{gnome_dir}
%if %suse_version < 1030
%dir /opt/gnome
%dir /opt/gnome/share
%dir /opt/gnome/share/gnome
%dir /opt/gnome/share/gnome/help
%else
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help
%endif

%changelog
* Fri Feb  4 2011 ke@suse.de
- Update for SLES10 SP4.
* Fri Apr 11 2008 ke@suse.de
- Update fieles.
* Thu Apr  3 2008 ke@suse.de
- Update using improved style-sheets.
* Mon Mar 17 2008 ke@suse.de
- Another test update for SLE10 SP2.
* Thu Mar  6 2008 ke@suse.de
- Test update for SLE10 SP2.
* Wed Apr 11 2007 ke@suse.de
- Update text files and layout adjustments.
* Thu Mar 15 2007 ke@suse.de
- Update text files and .desktop files [#254356].
* Wed Mar  7 2007 ke@suse.de
- Do not build a separate PDF subpackage.
* Mon Mar  5 2007 ke@suse.de
- SLE10 SP1 beta5 update.
* Fri Feb 16 2007 ke@suse.de
- SLE10 SP1 test update.
* Wed Jan 31 2007 ke@suse.de
- Update for SLE10 SP1 for testing.
* Fri Jun  2 2006 ke@suse.de
- Update for SLE 10 RC3.
* Mon May  8 2006 ke@suse.de
- Update for RC1.
* Fri Apr 21 2006 ke@suse.de
- created package
